#
# spec file for package perl-Test-Assertions (Version 1.054)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Test-Assertions
Version:        1.054
Release:        3.1
License:        Distributable, see COPYING
%define cpan_name Test-Assertions
Summary:        a simple set of building blocks for both unit and runtime testing
Url:            http://search.cpan.org/dist/Test-Assertions/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/B/BB/BBC/Test-Assertions-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Log::Trace)
Requires:       perl(Carp)
Requires:       perl(Getopt::Long)
Requires:       perl(Log::Trace)
%{perl_requires}

%description
Test::Assertions provides a convenient set of tools for constructing tests,
such as unit tests or run-time assertion checks (like C's ASSERT macro).
Unlike some of the Test:: modules available on CPAN, Test::Assertions is
not limited to unit test scripts; for example it can be used to check
output is as expected within a benchmarking script. When it is used for
unit tests, it generates output in the standard form for CPAN unit testing
(under Test::Harness).

The package's import method is used to control the behaviour of ASSERT:
whether it dies, warns, prints 'ok'/'not ok', or does nothing.

In 'test' mode the script also exports plan(), only() and ignore()
functions. In 'test/ok' mode an ok() function is also exported for
compatibility with Test/Test::Harness. The plan function attempts to count
the number of tests if it isn't told a number (this works fine in simple
test scripts but not in loops/subroutines). In either mode, a warning will
be emitted if the planned number of tests is not the same as the number of
tests actually run, e.g.

	# Looks like you planned 2 tests but actually ran 1.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING README

%changelog
* Fri Apr  8 2011 coolo@novell.com
- initial package 1.054
  * created by cpanspec 1.78.04
